package com.ynet.life.sujrb.file;

import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_sujrb_file.jar:com/ynet/life/sujrb/file/FileConstants.class */
public class FileConstants {
    public static final String FILE_TYPE_CSV = "csv";
    public static final String FILE_TYPE_XML = "xml";
    public static final String FILE_TYPE_XLS = "xls";
    public static final String FILE_TYPE_PDF = "pdf";
    public static final String FILE_TYPE_TXT = "txt";
    public static final String FILE_PATHNAME_FIELD = "filePathName";
    public static final TranFailException EXCEPTION_WRONG_TYPE = new TranFailException("EBCB0501", "文件格式错误", false);
    public static final TranFailException EXCEPTION_VALIDATE_FAIL = new TranFailException("EBCB0502", "提交文件中总笔数或总金额和明细不符", false);
    public static final TranFailException EXCEPTION_PARSE_FAIL = new TranFailException("EBCB0504", "文件解析失败", false);
    public static final String PUBLIC_RECORD_NUMBER = "totalNumber";
    public static final String PUBLIC_RECORD_SUM = "totalAmount";
    public static final String BATCH_RECORD_PAY_ACCOUNT = "payAccount";
    public static final String BATCH_RECORD_PAY_ACCOUNT_TYPE = "accountType";
    public static final String BATCH_RECORD_CUSTOMER_ACCOUNT_NAME = "customerAccountName";
    public static final String BATCH_RECORD_PAY_ACCOUNT_NAME = "payAccountName";
    public static final String BATCH_RECORD_REC_ACCOUNT = "recAccount";
    public static final String BATCH_RECORD_REC_ACCOUNT_NAME = "recAccountName";
    public static final String BATCH_RECORD_REC_ACCOUNT_BANK = "recAccountOpenBank";
    public static final String BATCH_RECORD_REC_ACCOUNT_OPEN_NODE = "accountOpenNode";
    public static final String BATCH_RECORD_REC_RCVNODE = "rcvNode";
    public static final String BATCH_RECORD_CURRENCY = "currencyType";
    public static final String BATCH_RECORD_AMOUNT = "payAmount";
    public static final String BATCH_RECORD_TYPE = "recBankType";
    public static final String BATCH_RECORD_TRANTYPE = "tranType";
    public static final String BATCH_RECORD_UNIONBANKNO = "unionBankNo";
    public static final String BATCH_RECORD_RMTTYPE = "rmtType";
    public static final String BATCH_RECORD_TRANSFERTOWARDTYPE = "transferTowardType";
    public static final String BATCH_RECORD_TRANCHANNEL = "tranChannel";
    public static final String BATCH_RECORD_PAY_USE = "payUse";
    public static final String BATCH_RECORD_REM = "payRem";
    public static final String BATCH_RECORD_NOTICERCV = "noticeRcv";
    public static final String BATCH_RECORD_RCVPHONE = "rcvPhone";
    public static final String BATCH_RECORD_RCVEMAIL = "rcvEmail";
    public static final String BATCH_RECORD_PAYBANK = "payBank";
    public static final String BATCH_RECORD_PAYBANKNO = "payBankNo";
    public static final String SALARY_RECORD_ID = "employeeId";
    public static final String SALARY_RECORD_NAME = "employeeName";
    public static final String SALARY_RECORD_ACCOUNT = "cardNo";
    public static final String SALARY_RECORD_AMOUNT = "payAmount";
    public static final String SALARY_RECORD_COMMENT = "comment";
    public static final String SALARY_RECORD_REMARK = "remark";
    public static final String SALARY_RECORD_VALUEDATE = "valueDate";
    public static final String PAYEE_REC_ACCOUNT = "recAccount";
    public static final String PAYEE_REC_ACCOUNT_NAME = "recAccountName";
    public static final String PAYEE_REC_ACCOUNT_OPEN_BANK = "recAccountOpenBank";
    public static final String PAYEE_PAYEE_TYPE = "payeeType";
    public static final String PAYEE_PAYEE_RECTYPE = "recType";
    public static final String PAYEE_REC_BANK_TYPE = "recBankType";
    public static final String PAYEE_REC_ALIAS = "recAlias";
    public static final String PAYEE_REC_COUNTRY = "recCountry";
    public static final String PAYEE_REC_PROVINCE = "recProvince";
    public static final String PAYEE_REC_CITY = "recCity";
    public static final String PAYEE_AGENCY_BANK = "agencyBank";
    public static final String PAYEE_AGENCY_BANK_ADDRESS = "agencyBankAddress";
    public static final String PAYEE_BANK_SWIFT = "bankSwift";
    public static final String PAYEE_WRONG_REASON = "wrongReason";
    public static final String LIST_ACCBILL_BILLNO = "billNo";
    public static final String LIST_ACCBILL_FUNCTIONID = "functionId";
    public static final String LIST_ACCBILL_ACCOUNTNO = "accountNo";
    public static final String LIST_ACCBILL_ACCOUNTNAME = "accountName";
    public static final String LIST_ACCBILL_CURRENCY = "currencyType";
    public static final String LIST_ACCBILL_BEGINBALANCE = "beginBalance";
    public static final String LIST_ACCBILL_BEGINDATE = "beginDate";
    public static final String LIST_ACCBILL_ENDDATE = "endDate";
    public static final String LIST_ACCBILL_DETAIL_FLOWNO = "flowNo";
    public static final String LIST_ACCBILL_DETAIL_TRANTIME = "dateTime";
    public static final String LIST_ACCBILL_DETAIL_SUMMARY = "summary";
    public static final String LIST_ACCBILL_DETAIL_INTERESTDATE = "interestBeginDate";
    public static final String LIST_ACCBILL_DETAIL_LOANFLAG = "loanFlag";
    public static final String LIST_ACCBILL_DETAIL_TRANAMT = "transferSum";
    public static final String LIST_ACCBILL_DETAIL_BALANCE = "balance";
    public static final String LIST_ACCBILL_DETAIL_ORGCODE = "orgCode";
    public static final String LIST_ACCBILL_DETAIL_COMPANYNAME = "companyName";
    public static final String LIST_ACCBILL_DETAIL_USEDAMT = "usedAmt";
    public static final String LIST_ACCBILL_DETAIL_INSURAMT = "insurAmt";
    public static final String LIST_ACCBILL_DETAIL_IDELAMT = "idelAmt";

    private FileConstants() {
    }
}
